## faketime 0.9.10+2024-06-05+gba9ed5b2

=== debian/changelog ===
faketime (0.9.10+2024-06-05+gba9ed5b2-0.6) unstable; urgency=medium

  * Non-maintainer upload.
  * Include references to upstream MRs for our patches.
  * Update changelog entry for -0.2 to reflect that it did fix #1093412.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 27 Jan 2025 13:14:40 +0000

faketime (0.9.10+2024-06-05+gba9ed5b2-0.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with newer gcc due to unused variable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2025 12:21:43 +0100

faketime (0.9.10+2024-06-05+gba9ed5b2-0.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Call ftpl_init before using monotonic_conds_lock
  * Don't use _try_ locking calls for monotonic_conds_lock
  * Fix fragile autopkgtest.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Wed, 22 Jan 2025 10:00:52 +0000

faketime (0.9.10+2024-06-05+gba9ed5b2-0.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace data races with use of pthread_once.  Closes: #1093599.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 21 Jan 2025 18:54:51 +0000

faketime (0.9.10+2024-06-05+gba9ed5b2-0.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Re-disable faking utime by default.  Closes: #1093412.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 19 Jan 2025 22:21:24 +0000

faketime (0.9.10+2024-06-05+gba9ed5b2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Update to new upstream version from unreleased git, ba9ed5b2898f234c.
    Fixes stat(1) and ls(1).  Closes: #1063820.  [Report from Dalton Durst]
  * Interpose __time64 too, to fix 32-bit platforms.
    Closes: #1093153.  [Assistance from Olly Betts]
  * Interpose gettimeofday64 too.
  * Add an autopkgtest for a normally-built C program.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Fri, 17 Jan 2025 13:17:41 +0000

faketime (0.9.10-2.4) unstable; urgency=medium

  * Non-maintainer upload.
  * Upload to unstable, now that builds (including 32-bit) are passing.
    (riscv64 and mips64el are lagging but I think likely to pass.)

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 13 Jan 2025 09:32:03 +0000

faketime (0.9.10-2.4~exp0.1) experimental; urgency=medium

  * Non-maintainer upload.
  * Apply patches to try to fix 32-bit platforms.
    Closes: #1064555, #1032177, #1079346.  [Patches from Helge Deller]

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 12 Jan 2025 22:57:56 +0000

faketime (0.9.10-2.3) unstable; urgency=medium

  * Non-maintainer upload.

  [ zhangdandan <zhangdandan@loongson.cn> ]
  * d/rules: fix hangs on the CLOCK_REALTIME test (Closes: #1085996)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 Nov 2024 14:53:20 +0100

faketime (0.9.10-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix linking against libpthread (Closes: #1017865)

 -- Samuel Thibault <sthibault@debian.org>  Thu, 18 Jul 2024 21:45:30 +0000
