=== debian/control ===
Source: faketime
Section: utils
Priority: optional
Maintainer: Daniel Kahn Gillmor <dkg@fifthhorseman.net>
Build-Depends:
 debhelper-compat (= 13),
Standards-Version: 4.6.0
Homepage: https://github.com/wolfcw/libfaketime
Vcs-Browser: https://salsa.debian.org/debian/faketime
Vcs-Git: https://salsa.debian.org/debian/faketime.git
Rules-Requires-Root: no

Package: faketime
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Depends:
 libfaketime (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends},
Multi-Arch: foreign
Description: Report faked system time to programs (command-line tool)
 The Fake Time Preload Library (FTPL, a.k.a. libfaketime) intercepts
 various system calls which programs use to retrieve the current date
 and time. It can then report faked dates and times (as specified by
 you, the user) to these programs. This means you can modify the
 system time a program sees without having to change the time
 system-wide. FTPL allows you to specify both absolute dates (e.g.,
 2004-01-01) and relative dates (e.g., 10 days ago).
 .
 This package contains a "faketime" binary that makes it easy to use
 the LD_PRELOAD library.

Package: libfaketime
Architecture: any
Pre-Depends:
 ${misc:Pre-Depends},
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Report faked system time to programs (preload library)
 The Fake Time Preload Library (FTPL, a.k.a. libfaketime) intercepts
 various system calls which programs use to retrieve the current date
 and time. It can then report faked dates and times (as specified by
 you, the user) to these programs. This means you can modify the
 system time a program sees without having to change the time
 system-wide. FTPL allows you to specify both absolute dates (e.g.,
 2004-01-01) and relative dates (e.g., 10 days ago).
 .
 This package contains the LD_PRELOAD library for faketime.
