=== debian/tests/control ===
Tests: smoketest
Depends:
 faketime,
Restrictions: superficial

Tests: upstream
Depends:
 build-essential,
 libfaketime,

Tests: simple-cprogs
Depends:
 build-essential,
 faketime
