=== debian/watch ===
version=4

https://github.com/wolfcw/libfaketime/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
